using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LControl
{
    public partial class Filter : Form
    {
        public Filter(CmpType ct,bool fo)
        {
            InitializeComponent();
            this.Text = LControl_Language.strFO_Cap;
            this.checkBox1.Text = LControl_Language.strFO_CB1;
            this.checkBox2.Text = LControl_Language.strFO_CB2;
            this.comboBox1.Items.Clear();
            this.comboBox1.Items.Add(LControl_Language.strFO_CBI1);
            this.comboBox1.Items.Add(LControl_Language.strFO_CBI2);
            switch (ct)
            {
            case CmpType.None:
                checkBox1.Checked = false;
                comboBox1.SelectedItem = LControl_Language.strFO_CBI1;
                break;
            case CmpType.Wildcard:
                checkBox1.Checked = true;
                comboBox1.SelectedItem = LControl_Language.strFO_CBI1;
                break;
            case CmpType.RegularExp:
                checkBox1.Checked = true;
                comboBox1.SelectedItem = LControl_Language.strFO_CBI2;
                break;
            }
            if (fo) checkBox2.Checked = true; else checkBox2.Checked = false;
        }
        public void GetFilterOption(IWin32Window parent, ref CmpType ct, ref bool FileOnly)
        {
            ShowDialog(parent);
            if (checkBox1.Checked)
            {
                if (comboBox1.Text == LControl_Language.strFO_CBI1)
                    ct = CmpType.Wildcard;
                else
                    ct = CmpType.RegularExp;
            }
            else
                ct = CmpType.None;
            if (checkBox2.Checked) FileOnly = true; else FileOnly = false;
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            comboBox1.Enabled = checkBox1.Checked;
        }
    }
}