using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LControl
{
    public partial class FolderNameDialog : Form
    {
        public string FolderName="";
        private bool CloseDialog=true;

        public FolderNameDialog()
        {
            InitializeComponent();

            this.Text = LControl_Language.strNF_Cap;
            this.label1.Text = LControl_Language.strNF_lab1;
            this.button1.Text = LControl_Language.strConfirm;
            this.button2.Text = LControl_Language.strCancel;
            this.Closing += new CancelEventHandler(this_Closing); 
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (tbFolderName.Text != "")
                FolderName = tbFolderName.Text;
            else
            {
                MessageBox.Show(this, LControl_Language.strErr2, LControl_Language.strErrCap);
                CloseDialog = false;
            }
        }
        private void this_Closing(object sender, CancelEventArgs e)
        {
            if (!CloseDialog)
            {
                e.Cancel = true;
                CloseDialog = true;
            }
        }
    }
}